
function send_repass(){
    
    var nueva = $("#txtNueva").val();
    var renueva = $("#txtreNueva").val();
    var key = $("#key").val();
    
    //validar nueva y renueva
    if (nueva==renueva){
        _repass.send_repass(nueva, key);
    }else{
        //error
        var msg = 'Las contraseñas no coinciden.';
        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
        $("#txtNueva").select();
        //limpiar y foco
        setTimeout(function(){
            $(".login").find(":input").val("");
            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
        },2000);
        
    }
    
    
}

_repass.send_repass = function(nueva, key){
    $(".msgajax").fadeIn();
    $(".button_form button").attr("disabled", "disabled");

    //cambiar el password
    $.ajax({
        url : _repass.URL + "/x_send_repass",
        data : {
            nueva : nueva,
            key : key
        },
        type : "post",
        success : function(obj){
               $(".msgajax").fadeOut();
                if (obj==0){
                    var msg = 'Error. Verifique la validez del link.';
                    $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
                    $("#txtNueva").select();
                    
                    //limpiar y foco
                    setTimeout(function(){
                        $(".login").find(":input").val("");
                        $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
                    },2000);

                }
                else{
                    msg = 'El cambio de tu contraseña fue exitosa. <br/>Ahora inicie sesión.';
                    $('.login button').attr('disabled','disabled');
                    $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('exito_msg').fadeIn(300);
                    setTimeout(function(){
                        logout();
                    },3000);
                }
                    
            
        }
    });
}


$(document).ready(function(){
    
   $("#txtNueva").select();
    
});

